function points_mirrored = mirror_points(points,W);
% symmetrize the points in a square domain of width W


x = points(:,1);
y = points(:,2);


p1 = [-x -y];
p2 = [-x y];
p3 = [-x 2*W-y];
p4 = [x -y];
p5 = [x y];
p6 = [x 2*W-y];
p7 = [2*W-x -y];
p8 = [2*W-x y];
p9 = [2*W-x 2*W-y];


points_mirrored = [p1; p2; p3; p4; p5; p6; p7; p8; p9];

